--- menu.c.orig	2007-01-15 17:35:41.000000000 +0200
+++ menu.c	2007-06-26 16:33:56.000000000 +0300
@@ -667,2 +667,6 @@
      Add(new cMenuEditBitItem( tr("VPS"),          &data.flags, tfVps));
+#if 1//def REC_TS
+     Add(new cMenuEditBitItem( tr("Record TS"),    &data.flags, tfTS));
+     Add(new cMenuEditBitItem( tr("Record TS Only"),&data.flags, tfTSOnly));
+#endif
      Add(new cMenuEditIntItem( tr("Priority"),     &data.priority, 0, MAXPRIORITY));
@@ -3727,2 +3731,5 @@
 
+#include "recorder_ts.h"
+#include "recorder_ts.c"
+
 cRecordControl::cRecordControl(cDevice *Device, cTimer *Timer, bool Pause)
@@ -3738,2 +3745,5 @@
   recorder = NULL;
+#ifdef REC_TS
+  recorderTS = NULL;
+#endif
   device = Device;
@@ -3777,2 +3787,17 @@
   if (MakeDirs(fileName, true)) {
+#ifdef REC_TS
+     if (Timer && (Timer->HasFlags(tfTSOnly) || Timer->HasFlags(tfTS))) {
+        const cChannel *ch = timer->Channel();
+        isyslog("Starting recording in TS format");
+	recorderTS = new cTSRecorder(fileName, ch->Ca(), timer->Priority(), ch, device);
+	if (!device->AttachReceiver(recorderTS)) {
+	   DELETENULL(recorderTS);
+	   isyslog("Starting recording in TS format: AttachReceiver() FAILED !");
+	}
+	if (Timer && Timer->HasFlags(tfTSOnly)) {
+	   isyslog("Timer flags: TS recording only - NOT STARTING VDR RECORDING");
+	   return;
+	}
+     }
+#endif
      const cChannel *ch = timer->Channel();
@@ -3841,2 +3866,5 @@
      DELETENULL(recorder);
+#ifdef REC_TS
+     DELETENULL(recorderTS);
+#endif
      timer->SetRecording(false);
@@ -3850,3 +3878,7 @@
 {
+#ifdef REC_TS
+  if (!(recorder || recorderTS) || !timer || !timer->Matches(t))
+#else
   if (!recorder || !timer || !timer->Matches(t))
+#endif
      return false;
